// "Typklasse"
trait Show[T] {
  def show(value: T): String
}

// Instanz
implicit object ShowInt extends Show[Int] {
  def show(value: Int) = value.toString
}

// Benutzung
def print[T](value: T)(implicit show: Show[T])= {
  println(show.show(value));
}
